slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPView

Prints the NEP data structure.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPView(NEP nep,PetscViewer viewer)

Collective

### Input Parameters

| nep | - the nonlinear eigenproblem solver context
| viewer | - optional visualization context

### Options Database Key

| -nep_view | - Calls NEPView() at end of NEPSolve()

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### See Also

FNView()

### Level

beginner

### Location

src/nep/interface/nepview.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages